#ifndef FILEPATHS_H
#define FILEPATHS_H

#include <QtCore>

#define INI_LAUNCHER	"launcher6.ini"
#define INI_MOD			"mod.ini"
#define INI_MODCUSTOM	"settings.ini"
#define INI_CMDLINE		"cmdline_fso.cfg"

class FilePaths
{
	public:
		static QString getGameDir();
		static QString getConfigDir();
		static QString getTempDir();

		static QString getConfigDataDir();
		static QString getGameDataDir();
		static QString getLauncherIni();
		static QString getCmdLine();
		static QString getModDir(const QString&);
		static QString getModIni(const QString&);
		static QString getModPixmap(const QString&, const QString&);
		static QString getFlagsLch();
};

#endif
