#ifndef TABMOD_H
#define TABMOD_H

#include <QtGui>

class DialogSelectMod : public QDialog
{
	public:
		DialogSelectMod(QWidget *parent = 0);
		QString select();

	private:
		QStringList mods;
		QString currentMod;
		QListView *view;
};

class TabMod : public QWidget
{
	Q_OBJECT

	public:
		TabMod(QWidget *parent = 0);

	public slots:
		void updateUI();
		void selectModButtonClicked();
		void noModButtonClicked();
		void websiteButtonClicked();
		void forumButtonClicked();

	private:
		QLabel *modNameLabel;
		QLabel *modLabel;
		QTextEdit *modDescription;

	signals:
		void setUpdateUI();

};

#endif
