#include <FilePaths.h>

/* 
 * uncomment if you want yal to look for game in
 * its current running path (like windows ones does)
 * instead of dirs specified below
 */
//#define GAMEDIR QDir::currentPath()

#ifndef GAMEDIR
#ifdef BTRL
	#define GAMEDIR "/home/havner/games/btrl_demo"
#else
#ifdef TBP
	#define GAMEDIR "/home/havner/games/tbp"
#else
#ifdef WCSAGA
	#define GAMEDIR "/home/havner/games/wcsaga"
#else /* FS2_OPEN */
	#define GAMEDIR "/home/havner/games/fs2_open"
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */
#endif /* GAMEDIR */

#ifdef BTRL
	#define CONFIGDIR ".btrl_demo"
#else
#ifdef TBP
	#define CONFIGDIR ".tbp"
#else
#ifdef WCSAGA
	#define CONFIGDIR ".wcsaga"
#else /* FS2_OPEN */
	#define CONFIGDIR ".fs2_open"
#endif /* WCSAGA */
#endif /* TBP */
#endif /* BTRL */

QString FilePaths::getGameDir()
{
	return GAMEDIR;
}

QString FilePaths::getConfigDir()
{
	QString configDir = QDir::homePath();
	configDir.append("/");
	configDir.append(CONFIGDIR);
	return configDir;
}

QString FilePaths::getTempDir()
{
	return QDir::tempPath();
}
